/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.multithread;

/**
 * A Client.
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class Client implements MultithreadClient {

	private boolean stop = false;
	private MultithreadManager manager;

	public Client(MultithreadManager manager) {
		this.manager = manager;
	}

	public void run() {
		while (true) {
			Object object = manager.getTask();
			if (object != null) {
				for (int k = 0; k < 10000000; k++) {
					int h = k;
					h += k;
				}
			}
			if (stop)
				return;
		}

	}

	public void stop() {
		stop = true;
	}
}
