/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */
package com.carlosbcruz.util;

/**
 * There is a problem on the file format.
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class LineTokenizerException extends Exception {

	private static final long serialVersionUID = 1L;

	/**
	 * Creates a line tokenizer exception from a message.
	 * @param message the message.
	 */
	public LineTokenizerException(String message) {
		super(message);
	}
}
