/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.multithread;

/**
 * The sourcer.
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */

public class Sourcer implements MultithreadSource {

  private boolean stop = false;
  private MultithreadManager manager;

  public Sourcer(MultithreadManager manager) {
    this.manager = manager;
  }

  public void run() {

      try {
      int i = 0;
      while (true) {
	i++;
        while (manager.addTask(new Integer(i)) == false)
	  Thread.sleep(10);
        for (int j = 0; j < 10000000; j++) {
	   int k = j;
           k += j;
        }

	if (stop)
	  return;
      }
      } catch (InterruptedException e) {
	// do nothing
      }
  }

    public void stop() {
      stop = true;
    }

}