/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.replacestring;

import java.awt.Dimension;

import javax.swing.JInternalFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.text.DefaultStyledDocument;

/**
 * Show the content of the file in an internal frame
 * 
 * @author Carlos Fernando Bella Cruz - <a
 *         href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class TextInternalFrame extends JInternalFrame {

	private DefaultStyledDocument document = new DefaultStyledDocument();
	private JTextArea text;

	TextInternalFrame(String title, StringBuffer content) {
		super(title, true, true, true, true);

		text = new JTextArea(content.toString());
		text.setEditable(false);
		JScrollPane scroll = new JScrollPane(text);
		setPreferredSize(new Dimension(200, 200));
		getContentPane().add(scroll);
	}

}
